Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 16168

Description

When saving a project on my QGIS 1.8.0 Lisboa (running on Windows Vista Home) where I did loads of layers editing, loadings and

deletions, the qgs file is correctly created and can be re-opened with no problem.

However, the qgs file seems to keep trace of almost ANY layer I originally loaded in the project (including deleted layers, or multiple

copies of the same layer). So much so, when opening the qgs file, layers get ALL loaded from hard disk and are at first listed in the layers'

pane. When loading is finished, those layers that were deleted or duplicated disappear, leaving the Layers' pane as I left it when saving

the project.

Strangely enough, I can still see them listed when using processing tools that let you choose from layers in use.

There appears to be no automatic tool to clean up the qgs.

Possible solutions I found: manual editing of the qgs file.

Transfer qgs file and layers files onto another folder (does not solve the duplications though), reopen it, accept to delete not found layers,

save it again.

This very same problem has been raised before: http://lists.osgeo.org/pipermail/qgis-user/2012-September/019327.html

but cannot find it in this list.

I suspect this is linked to another issue I am facing: layers I choose to display are not always loaded at once. I often need to repeat the

same operation again.

Any clues anyone?

Related issues:

Duplicated by QGIS Application - Bug report # 7426: delete layer doesn't real... Closed 2013-03-23

History

#1 - 2013-02-01 08:19 AM - Giovanni Manghi

well it does not seems an overall issue, as id does not happen here as far as I can see. But I will investigate more.

Anyway it would be very useful if you can share a project (qgs + datasources) where this issue arises.

#2 - 2013-02-02 07:28 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Project Loading/Saving

Does not seems to happen here, at least on qgis master. Can you give it a try and report back? thanks.
#3 - 2013-07-24 06:16 PM - Daniel Vaz

You are right, it doesn't occurs anymore. Maybe fixed in the meanwhile.

I think that issue can be closed.

Thanks in advance

#4 - 2013-07-25 04:58 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

Duplicate of #7426, closing this because the other has sample data attached.
